Faire-068A.jpg=Threading the ring
Faire-036.jpg=Two of the knights warm up their steeds
Faire-025.jpg=The pickle lady
Faire-103A.jpg=Charge
Faire-066.jpg=Throwing the javelin - 2
Faire-038.jpg=This Percheron's ancestors would have included war horses
Faire-081A.jpg=The competitors
Faire-064.jpg=Bulls eye
Faire-044.jpg=Clean up crew
Faire-082A.jpg=Saluting the spectators
Faire-008.jpg=The musical group Westwynde performing
Faire-095A.jpg=Joust - 2
Faire-030.jpg=The tavern keeper awaits more custom
Faire-057A.jpg=Performer
Faire-016.jpg=Armorer shaping a helmet
Faire-084A.jpg=Concentration
Faire-055A.jpg=Showing off her gaits
Faire-115A.jpg=Sword vs Pole Axe
faire-002.jpg=In Costume
Faire-065.jpg=Throwing the javelin
Faire-089A.jpg=Joust
Faire-090A.jpg=Swordplay
Faire-074A.jpg=Threading a smaller ring
Faire-110A.jpg=Mounted swordplay
Faire-097A.jpg=Combat
Faire-086A.jpg=Salute
Faire-106A.jpg=Swordplay - 2
Faire-051A.jpg=Even ladies ride
Faire-083A.jpg=Saluting the spectators - 2
Faire-023.jpg=The Royal Court parades through the faire
